<template>
    <div>
        <label :for="id">{{label}}</label>
        <input type="file" accept=".jpg, .png, jpeg, .gif, .bmp, .tif, .tiff||image" @change="onImageUpload" class="form-control" :id="id" :name="id"/>
        <div class="p-2">
            <img v-show="value !== '' || imageSrc !== ''" :src="imageResult" alt="Image preview" style="object-fit: contain; width: 200px;">
        </div>

    </div>
</template>

<script>
    export default {
        name: "ImagePicker",
        props:{
            id:{
                type:String,
                default:''
            },
            label:{
                type: String,
                default:''
            },
            value:{
                type: String,
                default:''
            }

        },
        data(){
            return {
                imageSrc:''
            }
        },
        methods:{
            async onImageUpload(e){
                let file = e.target.files[0];
                this.createImagePreview(file);
            },
            async createImagePreview(file){
                let reader = new FileReader();
                reader.onload = (e) => {
                    this.imageSrc = e.target.result;
                    this.$emit('getFile', file)
                };
                reader.readAsDataURL(file);
            },
        },
        computed:{
            imageResult(){
                return this.imageSrc === '' ? this.value : this.imageSrc;
            }
        }
    }
</script>

<style scoped>

</style>